Loading...
Searching...
No Matches
Dune::Amg::Diagonal< N > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Norm that uses only the [N][N] entry of the block to determine couplings. More...

`#include <dune/istl/paamg/aggregates.hh>`

Inheritance diagram for Dune::Amg::Diagonal< N >:

## Public Types

enum | { is_sign_preserving = true }

## Public Member Functions

template<class M>
FieldTraits< typenameM::field_type >::real_type | operator() (const M &m, typename std::enable_if_t<!Dune::IsNumber< M >::value > *sfinae=nullptr) const
| compute the norm of a matrix.
template<class M>
auto | operator() (const M &m, typename std::enable_if_t< Dune::IsNumber< M >::value > *=nullptr) const
| Compute the norm of a scalar.

## Detailed Description

template<int N>
class Dune::Amg::Diagonal< N >

Norm that uses only the [N][N] entry of the block to determine couplings.

The documentation for this class was generated from the following file:

- aggregates.hh